Subject: Re: r8169 MAC addresses broken

From: Jiri Slaby <[email-masked]>
Date: Mon, 03 Nov 2008 15:50:55 +0100

On 11/03/2008 10:04 AM, Ivan Vecera wrote:
> Jiri Slaby wrote:
>> On 10/28/2008 02:45 PM, Krzysztof Halasa wrote:
>>> Jiri Slaby <[email-masked]> writes:
>>>
>>>>> Same thing if you unplug the battery ?
>>>> Thanks, now it seems to be OK.
>>> Well, perhaps reverting that patch was a bit premature?
>> No, it helped after reverting that patch. I think we don't want defunct 2.6.28
>> with these nics.
> I cannot agree.

You want defunct r8169 in 2.6.28? Or cannot agree with what?

> IMO the problem was in the first version of the patch that didn't
> check for invalid (zeroed) MAC address. In this case is necessary to power-off (desktop
> case) or unplug the battery (notebook case).

I see no updated patch in this thread to test -- am I missing something?